GetAssociatedResource
Note
AWS Service Catalog AppRegistry will no longer be open to new customers starting July 30, 2026. If you would like to use AppRegistry, sign up prior to that date. Existing customers can continue to use the service as normal. For more information, see AWS Service Catalog AppRegistry availability change.
Gets the resource associated with the application.
Request Syntax
GET /applications/application/resources/resourceType/resource?maxResults=maxResults&nextToken=nextToken&resourceTagStatus=resourceTagStatus HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- application
-
The name, ID, or ARN of the application.
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)Required: Yes
- maxResults
-
The maximum number of results to return. If the parameter is omitted, it defaults to 25. The value is optional.
Valid Range: Minimum value of 1. Maximum value of 100.
- nextToken
-
A unique pagination token for each page of results. Make the call again with the returned token to retrieve the next page of results.
Length Constraints: Minimum length of 1. Maximum length of 2024.
Pattern:
[A-Za-z0-9+/=]+ - resource
-
The name or ID of the resource associated with the application.
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
\S+Required: Yes
- resourceTagStatus
-
States whether an application tag is applied, not applied, in the process of being applied, or skipped.
Array Members: Minimum number of 1 item. Maximum number of 4 items.
Valid Values:
SUCCESS | FAILED | IN_PROGRESS | SKIPPED - resourceType
-
The type of resource associated with the application.
Valid Values:
CFN_STACK | RESOURCE_TAG_VALUERequired: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"applicationTagResult": {
"applicationTagStatus": "string",
"errorMessage": "string",
"nextToken": "string",
"resources": [
{
"errorMessage": "string",
"resourceArn": "string",
"resourceType": "string",
"status": "string"
}
]
},
"options": [ "string" ],
"resource": {
"arn": "string",
"associationTime": "string",
"integrations": {
"resourceGroup": {
"arn": "string",
"errorMessage": "string",
"state": "string"
}
},
"name": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- applicationTagResult
-
The result of the application that's tag applied to a resource.
Type: ApplicationTagResult object
- options
-
Determines whether an application tag is applied or skipped.
Type: Array of strings
Valid Values:
APPLY_APPLICATION_TAG | SKIP_APPLICATION_TAG - resource
-
The resource associated with the application.
Type: Resource object
Errors
- InternalServerException
-
The service is experiencing internal problems.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource does not exist.
HTTP Status Code: 404
- ValidationException
-
The request has invalid or missing parameters.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: